package common.block.artificial;

import common.block.Block;
import common.block.Material;
import common.item.CheatTab;
import common.model.Model;
import common.model.ModelProvider;
import common.world.State;

public class BlockQuartz extends Block {
	private final boolean dark;
	private final boolean ornaments;

	public BlockQuartz(boolean dark, boolean ornaments) {
		super(Material.SOLID);
		this.dark = dark;
		this.ornaments = ornaments;
		this.setTab(CheatTab.BLOCKS);
	}

	public boolean isDark() {
		return this.dark;
	}

	public boolean hasOrnaments() {
		return this.ornaments;
	}

	public Model getModel(ModelProvider provider, String name, State state) {
		String prefix = this.dark ? "black_" : "";
		if(this.ornaments)
			return provider.getModel(prefix + "quartz_block_chiseled").add().nswe().du(prefix + "quartz_block_chiseled_top");
		else
			return provider.getModel(prefix + "quartz_block_side").add().nswe().d(prefix + "quartz_block_bottom").u(prefix + "quartz_top");
	}
}
